Bug 1767319 - [RFE] forbid updating mac pool that contains ranges overlapping with any mac range in the system
Summary: [RFE] forbid updating mac pool that contains ranges overlapping with any mac ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.1.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.4.0
: 4.4.0
Assignee: eraviv
QA Contact: Michael Burman
URL:
Whiteboard: sync-to-jira
Depends On: 1593800 1639460
Blocks: 1537414
TreeView+ depends on / blocked
 
Reported: 2019-10-31 07:38 UTC by eraviv
Modified: 2020-08-04 13:21 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
In this release, modifying a MAC address pool or modifying the range of a MAC address pool that has any overlap with existing MAC address pool ranges, is strictly forbidden.
Clone Of: 1593800
Environment:
Last Closed: 2020-08-04 13:20:56 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:21:18 UTC
oVirt gerrit 104257 0 'None' MERGED core: block updating mac pool on range overlap 2020-09-21 08:18:22 UTC

Comment 1 Dominik Holler 2019-11-05 14:48:28 UTC
Should not change existing MAC Pools automatically, only allow manual change to not overlapping ranges.

Comment 2 Dominik Holler 2019-11-05 14:50:00 UTC
Eitan, can you please add a helpful doc text for the release notes?

Comment 3 Michael Burman 2019-11-05 15:05:34 UTC
Pls note that we should allow fixing and updating the problematic overlapping pools if user/admin choose to do so. And we should forbid updating pools with overlapping MACs.

Comment 8 RHV bug bot 2019-12-13 13:14:56 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 9 RHV bug bot 2019-12-20 17:44:41 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 10 Michael Burman 2020-01-07 06:49:13 UTC
Verified on - rhvm-4.4.0-0.13.master.el7.noarch

Comment 11 RHV bug bot 2020-01-08 14:48:58 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 12 RHV bug bot 2020-01-08 15:15:58 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 13 RHV bug bot 2020-01-24 19:50:52 UTC
WARN: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{}', ]

For more info please contact: rhv-devops@redhat.com

Comment 16 errata-xmlrpc 2020-08-04 13:20:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.